# Created by pyp2rpm-3.3.8
%global pypi_name torrent-parser
%global pypi_version 0.4.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        A .torrent file parser and creator for both Python 2 and 3

License:        MIT
URL:            https://github.com/7sDream/torrent_parser
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/torrent_parser-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}



%prep
%autosetup -n torrent_parser-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/pytp
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/torrent_parser.py
%{python3_sitelib}/torrent_parser-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu May 04 2023 mockbuilder - 0.4.1-1
- Initial package.